/**************************************************

  This file contains the function prototypes for
  the functions in build_adj.c.

***************************************************/

void    read_subnets( char *subnet_fl, Ifc_list *all_subnets );
void    read_file( char *edge_fl, Network *net, Ifc_list *all_subnets, long extra_nodes );
void    build_adj( char *edge_fl, Network *net, FILE *out );
void    find_nbrs_subnet( Network *net, Interface *frm_ifc, long v );
void    Print_adj( Network *net_p, FILE *out );
void    print_node( Network *net_p, int i, FILE *out );
Interface *find_subnet( NAME name, Ifc_list *subnets );
void    add_equivalence( Equivalence **equivs, NAME name1, NAME name2 );
Interface *add_ifc( Network *net, NAME frm_name, NAME to_name, char *type, int suspect );
int     add_new_node( Network *net, NAME new_name, Ifc_list *subnets );
