/*
**
**        This file contains all of the redefinitions of
**        standard types.
*/

#include <unistd.h>
#include <stdlib.h>

/*
**        Define the constants used by the program.
*/
#define     MAXLINE     1024      /* Maximum length of an input string */
#define     MAXNAME     128       /* Maximum length of an IP  name  */
#define     FALSE       0
#define     TRUE        -1
#define     INVALID_NODE    -1
#define     INFINITE_DIST   5000

/*
**      Define an IP name to be a character array
*/
typedef char NAME[MAXNAME];
/*
**      Define an IP address to be an unsigned long (4 byte)
*/
typedef unsigned long  ADDRESS;

