
/**************************************************

  This file contains the function prototypes for
  the functions in dist_vect.c.

***************************************************/

void   init_source( Network *net, long source );
void   relax_node(Network *net, Interface *frm_ifc, long frm_node, long to_node, long weight );
void   dijkstra_tree( Network *net, long source );
long   extract_min_dist_node( Network *net );
void   find_child_leaf( Network *net, long source );
void   print_entry( FILE *out, NAME name, long indent, long posn, long distance,
		      long threshold, long suspect, int print_out, u_long type);
void   print_tree( FILE *out, int indent, Network *net, long source, Interface *frm_ifc, long posn,
		   long hops, long threshold, long suspect, long max_thresh, int print_out );
void   print_unreach( FILE *out, Network *net, int print_out );
Path_item *push_path_elem( Path_stack *stack, NAME name, long metric, long threshold,
			   int suspect, int same_node, int print, u_long type );
void    print_path_stack( Path_stack *stack, long indent, FILE *out );
void     print_path( FILE *out, Network *net, int indent, NAME source, NAME cur,
		     long cur_node, Path_stack *stack );
void    pop_path_elem( Path_stack *stack );
